package com.example.switchyard.switchyard_http_test;

import org.apache.camel.Exchange;
import org.apache.camel.Processor;
import org.apache.camel.builder.RouteBuilder;

public class TestServiceRoute extends RouteBuilder {

	/**
	 * The Camel route is configured via this method.  The from endpoint is required to be a SwitchYard service.
	 */
	public void configure() {
		from("switchyard://TestService")
			.onException(Exception.class)
				.handled(true)
				.log("Exception: ${exception}")
				.transform().simple("error")
			.end()
			.log("Received message for 'TestService' : ${body}")
			.process(new Processor() {
				@Override
				public void process(Exchange exchange) throws Exception {
					throw new Exception("failed");
				}
			});
	}

}
